#ifndef __VECTOR_H__
#define __VECTOR_H__
#include "cga.h"

class Vector : public Multivector
{
	protected:
		double x,y,z;
	public:

		Vector();
		Vector(double,double,double);
		~Vector();
		
		double getX(void);
		double getY(void);
		double getZ(void);
		
		void convert(Multivector);
		Multivector revert(void);
		void normalize(void);
		void print(void);

};
#endif /* __VECTOR_H__ */
