#include <math.h>
#include <iostream>


using namespace std;

#include "object.h"
/*Multivector circumsphere(Multivector p1,Multivector p2,Multivector p3) 
{ 
	Multivector e1 = ip(sub(p3 , p1) , sub(p2 , p1)); 
	Multivector e2 = ip(sub(p3 , p2) , sub(p1 , p2)); 
	Multivector e3 = ip(sub(p1 , p3) , sub(p2 , p3)); 
	
	double d1 = e1.getE(0); 
	double d2 = e2.getE(0); 
	double d3 = e3.getE(0); 


	double c1 = d2 * d3; 
	double c2 = d3 * d1; 
	double c3 = d1 * d2; 
	double c = c1 + c2 + c3; 

	double r = 0.5 * sqrt( ((d1 + d2) * (d2 + d3) * (d3 + d1)) / c ); 

	Multivector circum = div((2*c),(add(add(mult((c2 + c3),p1) , (mult((c3 + c1),p2))),(mult((c1 + c2),p3))))); 

	circum.setE(0,r);
	//circum.print();
	return circum; 
} 	
*/
	
void drawGrid(int size)
{
    glDisable(GL_LIGHTING);
    glColor3f(0.0,0.0,0.0);
	glLineWidth(1.0);
	glBegin(GL_LINES);
		for(int i=-size;i<=size;++i)
		{
			glVertex3f(i,0,-size);
			glVertex3f(i,0,size);
	
			glVertex3f(size,0,i);
			glVertex3f(-size,0,i);
		}
		glEnd();
    glEnable(GL_LIGHTING);
}
void drawLine(Vector a)
{
    glDisable(GL_LIGHTING);
	glLineWidth(2.0);
	glColor3f(0.0,0.0,0.0);
	glBegin(GL_LINES);
	{
		glVertex3f(0,0,0);
		glVertex3d(a.getX(),a.getY(),a.getZ());
	}		
	glEnd();
	glEnable(GL_LIGHTING);
}
void drawVector(Vector o,Vector a)
{
    glDisable(GL_LIGHTING);
	glLineWidth(2.0);
	glColor3f(0.0,0.0,0.0);
	glBegin(GL_LINES);
	{
		glVertex3d(o.getX(),o.getY(),o.getZ());
		glVertex3d(a.getX(),a.getY(),a.getZ());
	}		
	glEnd();
	glEnable(GL_LIGHTING);
}
void drawVector(Multivector o,Multivector a)
{
    glDisable(GL_LIGHTING);
    Vector v1,v2;
    v1.convert(o);
    v2.convert(a);    
	glLineWidth(2.0);
	glColor3f(0.0,0.0,0.0);
	glBegin(GL_LINES);
	{
		glVertex3d(v1.getX(),v1.getY(),v1.getZ());
		glVertex3d(v2.getX(),v2.getY(),v2.getZ());
	}		
	glEnd();
	glEnable(GL_LIGHTING);
}
void drawBox()
{
	glColor3f(0.0,0.0,0.8);				
		glBegin(GL_QUAD_STRIP);		
			// Start Drawing Quads
			glVertex3f(-1.0f,  1.0f, -1.0f);	// Top Left Of The Texture and Quad
			glVertex3f(-1.0f,  1.0f,  1.0f);	// Bottom Left Of The Texture and Quad
			glVertex3f( 1.0f,  1.0f,  1.0f);	// Bottom Right Of The Texture and Quad
			glVertex3f( 1.0f,  1.0f, -1.0f);	// Top Right Of The Texture and Quad
			
			// Bottom Face
			glVertex3f(-1.0f, -1.0f, -1.0f);	// Top Right Of The Texture and Quad
			glVertex3f( 1.0f, -1.0f, -1.0f);	// Top Left Of The Texture and Quad
			glVertex3f( 1.0f, -1.0f,  1.0f);	// Bottom Left Of The Texture and Quad
			glVertex3f(-1.0f, -1.0f,  1.0f);	// Bottom Right Of The Texture and Quad
			// Front Face
			glVertex3f(-1.0f, -1.0f,  1.0f);	// Bottom Left Of The Texture and Quad
			glVertex3f( 1.0f, -1.0f,  1.0f);	// Bottom Right Of The Texture and Quad
			glVertex3f( 1.0f,  1.0f,  1.0f);	// Top Right Of The Texture and Quad
			glVertex3f(-1.0f,  1.0f,  1.0f);	// Top Left Of The Texture and Quad
			// Back Face
			glVertex3f(-1.0f, -1.0f, -1.0f);	// Bottom Right Of The Texture and Quad
			glVertex3f(-1.0f,  1.0f, -1.0f);	// Top Right Of The Texture and Quad
			glVertex3f( 1.0f,  1.0f, -1.0f);	// Top Left Of The Texture and Quad
			glVertex3f( 1.0f, -1.0f, -1.0f);	// Bottom Left Of The Texture and Quad
			// Right face
			glVertex3f( 1.0f, -1.0f, -1.0f);	// Bottom Right Of The Texture and Quad
			glVertex3f( 1.0f,  1.0f, -1.0f);	// Top Right Of The Texture and Quad
			glVertex3f( 1.0f,  1.0f,  1.0f);	// Top Left Of The Texture and Quad
			glVertex3f( 1.0f, -1.0f,  1.0f);	// Bottom Left Of The Texture and Quad
			// Left Face
			glVertex3f(-1.0f, -1.0f, -1.0f);	// Bottom Left Of The Texture and Quad
			glVertex3f(-1.0f, -1.0f,  1.0f);	// Bottom Right Of The Texture and Quad
			glVertex3f(-1.0f,  1.0f,  1.0f);	// Top Right Of The Texture and Quad
			glVertex3f(-1.0f,  1.0f, -1.0f);	// Top Left Of The Texture and Quad
		glEnd();								

		
}
void drawRotationCurve(Multivector a,Multivector p)
{
    glDisable(GL_LIGHTING);
    const float DEG2RAD = 3.14159/180;
    //float radius = 1;
    Vector p1;
    glBegin(GL_LINE_LOOP);
        for (int i=0; i < 360; i++)
        {
            float degInRad = i*DEG2RAD;
            Multivector r = rotate(degInRad,a,p);   
            p1.convert(r);
            glVertex3d( p1.getX(),p1.getY(),p1.getZ());	        
        }
 
   glEnd();
   glEnable(GL_LIGHTING);
}
bool drawBivector(Multivector bi)
{   
    glDisable(GL_LIGHTING);
    
	Vector p1,p2,p3,p4;
	Multivector x(0,1,0,0,0,0,0,0);
	Multivector y(0,0,1,0,0,0,0,0);
	Multivector z(0,0,0,1,0,0,0,0); 
/*	Multivector A(0,1,1,1,0,0,0,0);
    Multivector B(0,1,1,1,0,0,0,0);
    Multivector C(0,1,1,1,0,0,0,0);
    Multivector D(0,1,1,1,0,0,0,0);
	bi.normalize();

	if( (bi.getE(12)) == 0 && bi.getE(13) == 0)
	{
		A.setE(1,0);A.setE(2,-1);A.setE(3,-1);
		B.setE(1,0);B.setE(2,-1);
		C.setE(1,0);
		D.setE(1,0);D.setE(3,-1);
	}
	if( (bi.getE(23)) == 0 && bi.getE(13) == 0)
	{
		A.setE(3,0);A.setE(1,-1);A.setE(2,-1);
		B.setE(3,0);B.setE(1,-1);
		C.setE(3,0);
		D.setE(3,0);D.setE(2,-1);
	}
	if( (bi.getE(12)) == 0 && bi.getE(23) == 0)
	{
		A.setE(2,0);A.setE(3,-1);A.setE(1,-1);
		B.setE(2,0);B.setE(3,-1);
		C.setE(2,0);
		D.setE(2,0);D.setE(1,-1);
	}
	if( (bi.getE(12) == 0 )
	{
		A.setE(2,bi.getE);A.setE(2,-1);A.setE(3,-1);
		orient = ip(b)
		B.setE(2,0);B.setE(2,-1);
		C.setE(2,0);
		D.setE(2,0);D.setE(3,-1);
	}
	if( (bi.getE(13) == 0 )
	{
		A.setE(3,0);A.setE(1,-1);A.setE(2,-1);
		B.setE(3,0);B.setE(1,-1);
		C.setE(3,0);
		D.setE(3,0);D.setE(2,-1);
	}
	if( (bi.getE(23) == 0 )
	{
		A.setE(2,0);A.setE(3,-1);A.setE(1,-1);
		B.setE(2,0);B.setE(3,-1);
		C.setE(2,0);
		D.setE(2,0);D.setE(1,-1);
	}

	p1.convert(A);
    p2.convert(B);
    p3.convert(C);
 	p4.convert(D);
    glColor3f(0.0,0.3,0.8);	
		glBegin(GL_QUADS);		
			glVertex3f(p1.getX(),p1.getY(),p1.getZ());	
            glVertex3f(p2.getX(),p2.getY(),p2.getZ());	
            glVertex3f(p3.getX(),p3.getY(),p3.getZ());
 			glVertex3f(p4.getX(),p4.getY(),p4.getZ());
		glEnd();
        
	glColor3f(0.0,0.0,0.0);	
	*/
	Multivector A = ip(bi,x);
    Multivector B = ip(bi,y);
    Multivector C = ip(bi,z);
	Multivector D = (A+B+C)/3;

	A = A - D;
	B = B - D;
	C = C - D;

	p1.convert(A);
    p2.convert(B);
    p3.convert(C);

    glColor3f(0.0,0.3,0.8);	
		glBegin(GL_TRIANGLES);		
			glVertex3f(p1.getX(),p1.getY(),p1.getZ());	
            glVertex3f(p2.getX(),p2.getY(),p2.getZ());	
            glVertex3f(p3.getX(),p3.getY(),p3.getZ());

		glEnd();
        
	glColor3f(0.0,0.0,0.0);	


 	glLineWidth(2.0);

  	glBegin(GL_LINE_LOOP);
	    glVertex3f(p1.getX(),p1.getY(),p1.getZ());
		glVertex3f(p2.getX(),p2.getY(),p2.getZ());
		glVertex3f(p3.getX(),p3.getY(),p3.getZ());
		glVertex3f(p4.getX(),p4.getY(),p4.getZ());
    glEnd();
    glEnable(GL_LIGHTING);

	return true;
}

