#include <math.h>
#include <iostream>

using namespace std;

#include "vector.h"

Vector::Vector()
{
	x = 0.0;
	y = 0.0;
	z = 0.0;
}
Vector::Vector(double inx,double iny,double inz)
{
	x = inx;
	y = iny;
	z = inz;
}
Vector::~Vector()
{ }
double Vector::getX(void)
{
		return x;
}
double Vector::getY(void)
{
		return y;
}
double Vector::getZ(void)
{
 		return z;
}
void Vector::convert(Multivector mv)
{
	 x = mv.getE(1);
	 y = mv.getE(2);
	 z = mv.getE(3);
}
Multivector Vector::revert(void)
{
	Multivector mv(0,x,y,z,0,0,0,0);

	return mv;
}
void Vector::normalize(void)
{
	double m = sqrt(x*x + y*y + z*z);
	x = x/m;
	y = y/m;
	z = z/m;
}
void Vector::print(void)
{
	cout <<x<< "x"<<" "<<y<< "y"<<" "<<z<< "z" <<  endl;
}

